# $Revision: 1.87 $, $Date: 2006/03/27 18:11:51 $
# TODO:
# - make separate package linked with sqlite
# - make milter subpackage
# - maybe make some separate package with contrib perl scripts?
# - remove bogus banner
#
Summary:	Bayesian Spam Filter
Summary(pl):	Bayesowski Filtr Antyspamowy
Name:		bogofilter
Version:	1.0.2
Release:	1
License:	GPL v2
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/bogofilter/%{name}-%{version}.tar.gz
# Source0-md5:	a1e201e544a3d9181b44b051b46435c3
Patch0:		%{name}-home_etc.patch
URL:		http://bogofilter.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	flex
BuildRequires:	gsl-devel
BuildRequires:	judy-devel
Requires:	gsl >= 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer

%description
Bogofilter is a Bayesian spam filter. In its normal mode of operation,
it takes an email message or other text on standard input, does a
statistical check against lists of "good" and "bad" words, and returns
a status code indicating whether or not the message is spam.
Bogofilter is designed with fast algorithms (including Berkeley DB
system), coded directly in C, and tuned for speed, so it can be used
for production by sites that process a lot of mail.

%description -l pl
Bogofilter jest bayesowski filtrem antyspamowym. W podstawowym trybie
dziaania na emailu lub innym tekcie odczytanym na wejciu wykonuje
statystyczne testy na wystpowanie "dobrych" i "zych" sw i zwraca
kod powrotu wskazujcy czy wiadomo jest spamem, czy te nie.
Bogofilter jest zaprojektowany z uyciem szybkich algorytmw
(wczajc w to Berkeley DB), napisany w czystym C i "podkrcony" pod
ktem szybkoci, a wic moe by uywany na systemach "produkcyjnych",
ktre przetwarzaj due iloci poczty.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp $RPM_BUILD_ROOT%{_sysconfdir}/bogofilter.cf.example $RPM_BUILD_ROOT%{_sysconfdir}/bogofilter.cf

install bogogrep $RPM_BUILD_ROOT%{_bindir}
# Some apps from contrib:
install contrib/bfproxy.pl $RPM_BUILD_ROOT%{_bindir}
install contrib/bogominitrain.pl $RPM_BUILD_ROOT%{_bindir}
install contrib/mime.get.rfc822.pl $RPM_BUILD_ROOT%{_bindir}
install contrib/printmaildir.pl $RPM_BUILD_ROOT%{_bindir}
install contrib/spamitarium.pl $RPM_BUILD_ROOT%{_bindir}
install contrib/stripsearch.pl $RPM_BUILD_ROOT%{_bindir}
install contrib/trainbogo.sh $RPM_BUILD_ROOT%{_bindir}

# Some final cleanups:
rm -f $RPM_BUILD_ROOT%{_bindir}/lexertest

%clean
rm -rf $RPM_BUILD_ROOT

# That banner is bogus - no sense to have it _while_ upgrading...
# It should be some trigger...
%pre
%banner %{name} -e <<'EOF'

WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
------------------------------------------------------------------------
POTENTIAL FOR DATA CORRUPTION DURING UPDATES

If you plan to upgrade your database library, if only as a side effect
of an operating system upgrade, DO HEED the relevant documentation, for
instance, the %{_docdir}/%{name}-%{version}/README.db file.
You may need to prepare the upgrade with the old version of the software.

Otherwise, you may cause irrecoverable damage to your databases.

DO backup your databases before making the upgrade.
------------------------------------------------------------------------
WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING

EOF

%files
%defattr(644,root,root,755)
%doc AUTHORS GETTING.STARTED RELEASE* NEWS* README doc/{README.*,bogofilter-SA*,integrating*} TODO
%doc contrib/{bogofilter-qfe.sh,bogofilter-milter.pl,dot-qmail-bogofilter-default,*.example,parmtest.sh}
%doc contrib/{README.*,randomtrain.sh,scramble.sh}
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/bogofilter.cf
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bogofilter.spec,v $
Revision 1.87  2006/03/27 18:11:51  blues
- 1.0.2 - STBR

Revision 1.86  2006/01/03 23:45:25  blues
- 1.0.1 - more docs, added contribs, removed dummy patch (well, it wasn't
  real fix anyway), changed %post into %pre (there is _any_ chance to make
  use of that information, but it should be some kind of trigger); addded
  some TODOs...

Revision 1.85  2005/12/14 09:15:53  glen
- use docdir macro

Revision 1.84  2005/12/13 21:11:32  paszczus
- added %banner with WARNING
- release 2

Revision 1.83  2005/12/13 16:10:13  glen
- adapterized

Revision 1.82  2005/12/13 14:35:39  paszczus
- added doc/README.db to %doc (i will add banner later)

Revision 1.81  2005/12/13 14:31:22  adasi
- fix summary/desc[pl]
- its --bayesowski-- not -bayesjanski--

Revision 1.80  2005/12/02 08:05:36  paszczus
- updated to 1.0.0

Revision 1.79  2005/11/21 15:34:27  paszczus
- updated to 0.96.6

Revision 1.78  2005/11/03 17:11:24  qboosh
- mesh.dl is not browsable

Revision 1.77  2005/11/03 15:44:50  ciesiel
- upgraded to version 0.96.4

Revision 1.76  2005/09/04 11:12:02  megabajt
- up to 0.96.0

Revision 1.75  2005/08/21 18:38:51  romke
- updated to version 0.95.2, STBR

Revision 1.74  2005/06/14 11:00:57  misi3k
- up to 0.94.14

Revision 1.73  2005/05/29 17:50:26  paszczus
- updated to 0.94.13 ; STBR

Revision 1.72  2005/05/16 20:20:46  paszczus
- updated to 0.94.12 ; STBR

Revision 1.71  2005/05/13 14:05:07  paszczus
- updated to 0.94.11

Revision 1.70  2005/05/10 08:44:37  paszczus
- updated to 0.94.10

Revision 1.69  2005/05/07 21:37:52  adamg
- updated to 0.94.9

Revision 1.68  2005/04/06 15:56:09  darekr
- %verify() for config file

Revision 1.67  2005/03/31 21:45:08  paszczus
- updated to 0.94.3

Revision 1.66  2005/03/11 15:18:41  ciesiel
- upgraded to version 0.94.0

Revision 1.65  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.64  2005/01/11 23:23:46  adamg
- updated to 0.93.4

Revision 1.63  2004/12/28 16:13:26  adamg
- updated to 0.93.3.1

Revision 1.62  2004/12/16 18:39:40  ciesiel
- upgrade to version 0.93.2

Revision 1.61  2004/10/24 21:33:48  qboosh
- unifications, sf desync workaround

Revision 1.60  2004/10/24 17:33:11  ciesiel
- md5

Revision 1.59  2004/10/24 16:54:02  ciesiel
- upgraded to version 0.92.8

Revision 1.58  2004/08/02 17:01:03  adamg
- updated to 0.92.4

Revision 1.57  2004/07/27 08:16:25  paszczus
- updated to STABLE 0.92.0
- updated bogofilter-home_etc.patch

Revision 1.56  2004/06/20 22:45:20  bartowl
- release raised, because Require: deps added

Revision 1.55  2004/06/20 22:24:57  bartowl
- added Req: gsl >= 1.4 (crashed with older ones)

Revision 1.54  2004/02/05 18:16:29  adamg
- updated to 0.16.4

Revision 1.53  2004/01/31 18:23:43  domelu
- release 2 to rebuild with ac

Revision 1.52  2004/01/11 12:02:13  eothane
- updated to 0.16.1
- cosmetics in changelog
- removed db3 bcond

Revision 1.51  2004/01/04 00:02:51  gotar
- upgraded to 0.16.0

Revision 1.50  2003/12/27 16:23:36  gotar
- upgraded to 0.15.13

Revision 1.49  2003/12/20 10:52:10  gotar
- upgraded to 0.15.11

Revision 1.48  2003/12/12 18:11:48  eothane
- updated to 0.15.10

Revision 1.47  2003/11/26 19:27:25  eothane
- version 0.15.9
- release 1

Revision 1.46  2003/11/13 15:57:40  eothane
- little fix

Revision 1.45  2003/11/13 13:55:20  eothane
- %bcond_with new_bconds

Revision 1.44  2003/11/13 06:08:23  witekfl
- added home_etc.patch
- rel 2

Revision 1.43  2003/11/03 10:33:11  gotar
- upgraded to 0.15.8

Revision 1.42  2003/10/24 09:30:40  gotar
- -fomit-frame-pointer on ia32

Revision 1.41  2003/10/19 09:51:23  eothane
- updated to 0.15.7

Revision 1.40  2003/10/05 08:04:29  gotar
- upgraded to 0.15.6

Revision 1.39  2003/10/01 22:46:26  adamg
- updated to 0.15.5

Revision 1.38  2003/09/22 22:59:53  gotar
- BR: gsl-devel

Revision 1.37  2003/09/22 21:49:09  adamg
- updated to 0.15.4

Revision 1.36  2003/09/15 07:04:28  adamg
- updated to 0.15.3

Revision 1.35  2003/09/14 17:31:17  misi3k
- updated to 0.15.1

Revision 1.34  2003/08/23 20:29:52  misi3k
- updated to 0.14.5.2

Revision 1.33  2003/08/18 08:07:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/08/11 11:00:16  arekm
- update to 0.14.4

Revision 1.31  2003/08/10 10:11:53  gotar
- upgraded to 0.14.3

Revision 1.30  2003/08/06 16:37:13  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.29  2003/07/19 22:38:27  misi3k
- updated to 0.13.7.3

Revision 1.28  2003/07/06 23:34:05  arekm
- updated to 0.13.7.2

Revision 1.27  2003/06/21 17:01:52  arekm
- updated to latest stable (0.13.6.3)

Revision 1.26  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 05:46:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/05/18 12:07:39  misiek
- updated to 0.12.3

Revision 1.23  2003/05/07 18:56:42  misiek
- updated to 0.12.2

Revision 1.22  2003/05/05 13:52:35  qboosh
- BR autoconf >= 2.53

Revision 1.21  2003/05/04 21:01:46  ppv
- bcond --with db3 added (Ra version)

Revision 1.20  2003/04/24 08:16:09  misiek
- updated to 0.11.2

Revision 1.19  2003/04/11 19:57:03  misi3k
- updated to 0.11.1.9

Revision 1.18  2003/03/30 13:24:06  misi3k
- updated to 0.11.1.5

Revision 1.17  2003/03/26 12:18:28  misi3k
- updated to 0.11.1.4

Revision 1.16  2003/03/15 15:11:22  misiek
- 0.11.1.3

Revision 1.15  2003/03/06 15:01:10  misi3k
- updated to 0.11.1.1

Revision 1.14  2003/02/25 11:18:20  qboosh
- working Source URL

Revision 1.13  2003/02/23 00:50:43  ppv
- again, new version (0.10.3.1)

Revision 1.12  2003/02/13 18:10:40  ppv
- new version (0.10.2)

Revision 1.11  2003/02/01 21:29:26  ppv
- new stable version (0.9.1.2)
- requires autoconf 2.55 or higher to build
- added bogofilter.cf to %files

Revision 1.10  2002/11/27 16:40:05  misiek
- updated to 0.8.0

Revision 1.9  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/10/07 09:44:26  qboosh
- BR: autoconf,automake; fixed inconsequence in pl description

Revision 1.7  2002/10/04 23:19:40  qrczak
- Typos.

Revision 1.6  2002/10/03 10:34:42  rrw
- bogofilter-0.7.4;
- uses autoconf toolchain now;
- remove test object mistakenly installed in _bindir;
- release 1;

Revision 1.5  2002/09/22 22:21:25  rrw
- buildrequires: flex;
- release 2;

Revision 1.4  2002/09/20 22:04:29  rrw
- added buildrequires db3-devel;

Revision 1.3  2002/09/20 21:57:39  rrw
- filled the rest of spec;
- made it compile;
- adapterised;
- release 1;
- STBR;

Revision 1.2  2002/09/16 01:31:52  qboosh
- descriptions from summaries

Revision 1.1  2002/09/13 22:55:20  rrw
- initial spec based on template;
